## default
#
# Path parameters
export group_id="CHANGE_ME"
# Curl command
curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" \
-d @- << EOF
{
"displayName": "Group 1",
"externalId": "group1",
"id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
"members": [
{
"$ref": "https://app.datadoghq.com/api/scim/v2/Users/d34a5f93-5690-4d3f-a293-f2ad5c7a82a4",
"display": "John Doe",
"type": "User",
"value": "d34a5f93-5690-4d3f-a293-f2ad5c7a82a4"
},
{
"$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
"display": "Jane Doe",
"type": "User",
"value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
}
],
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
}
EOF
## json-request-body
#
# Path parameters
export group_id="CHANGE_ME"
# Curl command
curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" \
-d @- << EOF
{
"displayName": "Group 1",
"externalId": "group1",
"id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
"members": [
{
"$ref": "https://app.datadoghq.com/api/scim/v2/Users/d34a5f93-5690-4d3f-a293-f2ad5c7a82a4",
"display": "John Doe",
"type": "User",
"value": "d34a5f93-5690-4d3f-a293-f2ad5c7a82a4"
},
{
"$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
"display": "Jane Doe",
"type": "User",
"value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
}
],
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
}
EOF